Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class RangeExpression

Field Summary
`Expression` | `from`
`boolean` | `inclusive`
`Expression` | `to`

Constructor Summary
`RangeExpression(Expression from, Expression to, boolean inclusive)`

Method Summary
`Expression` | `getFrom()`
`String` | `getText()`
`Expression` | `getTo()`
`boolean` | `isInclusive()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### RangeExpression

    public RangeExpression(Expression from, Expression to, boolean inclusive)

Method Detail

### getFrom

    public Expression getFrom()

### getText

    public String getText()

### getTo

    public Expression getTo()

### isInclusive

    public boolean isInclusive()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)